package ec.app.sequence;

import java.io.File;
import java.io.FileWriter;
import java.io.PrintWriter;

import ec.EvolutionState;
import ec.gp.GPIndividual;

public class FeatureCollector {
	static PrintWriter pw;
	
	static{
		try{
			pw = new PrintWriter(new  FileWriter("Elites.txt", true));
		}catch(Exception e){
			e.printStackTrace();
		}
	}
	
	public synchronized static void writeFeature(GPIndividual feature, EvolutionState state){
		try{
			pw.println("Feature = ");
			feature.trees[0].printTree(state, pw);
			pw.println("Fitness = " + feature.fitness.fitness());
			pw.flush();
		}catch(Exception e){
			e.printStackTrace();
		}
	}

}
